Show / Hide Table of Contents

# Struct LinkDetachWithModifierClickPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct LinkDetachWithModifierClickPtr

### Constructors

| Improve this Doc View Source

#### LinkDetachWithModifierClickPtr(LinkDetachWithModifierClick*)

##### Declaration

    public LinkDetachWithModifierClickPtr(LinkDetachWithModifierClick*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
LinkDetachWithModifierClick* | nativePtr |

| Improve this Doc View Source

#### LinkDetachWithModifierClickPtr(IntPtr)

##### Declaration

    public LinkDetachWithModifierClickPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### modifier

##### Declaration

    public IntPtr modifier { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly LinkDetachWithModifierClick*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
LinkDetachWithModifierClick* |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(LinkDetachWithModifierClick* to LinkDetachWithModifierClickPtr)

##### Declaration

    public static implicit operator LinkDetachWithModifierClickPtr(LinkDetachWithModifierClick*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
LinkDetachWithModifierClick* | nativePtr |

##### Returns

Type | Description
--- | ---
LinkDetachWithModifierClickPtr |

| Improve this Doc View Source

#### Implicit(LinkDetachWithModifierClickPtr to LinkDetachWithModifierClick*)

##### Declaration

    public static implicit operator LinkDetachWithModifierClick*(LinkDetachWithModifierClickPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
LinkDetachWithModifierClickPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
LinkDetachWithModifierClick* |

| Improve this Doc View Source

#### Implicit(IntPtr to LinkDetachWithModifierClickPtr)

##### Declaration

    public static implicit operator LinkDetachWithModifierClickPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
LinkDetachWithModifierClickPtr |